Bug 135393 - [CSS Font Loading] Rename document.fontloader to document.fonts
Summary: [CSS Font Loading] Rename document.fontloader to document.fonts
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Bear Travis
URL: http://dev.w3.org/csswg/css-font-load...
Keywords:
Depends on:
Blocks: 135390
  Show dependency treegraph
 
Reported: 2014-07-29 14:52 PDT by Bear Travis
Modified: 2014-07-31 14:38 PDT (History)
2 users (show)

See Also:


Attachments
Initial Patch (19.65 KB, patch)
2014-07-29 15:35 PDT, Bear Travis
bjonesbe: review+
bjonesbe: commit-queue-
Details | Formatted Diff | Diff
Updated patch (19.21 KB, patch)
2014-07-31 14:04 PDT, Bear Travis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bear Travis 2014-07-29 14:52:23 PDT
document.fontloader has been renamed to document.fonts in the FontFaceSource interface.
Comment 1 Bear Travis 2014-07-29 15:35:49 PDT
Created attachment 235701 [details]
Initial Patch
Comment 2 Bem Jones-Bey 2014-07-30 14:04:12 PDT
Comment on attachment 235701 [details]
Initial Patch

r=me

Please add an update to LayoutTests/http/tests/webfont/fontloader-loading-attribute.html before landing.

Also nit: fontloader-multiple-families.html still says 'Test load events for fontloader.loadFont() with multiple font families.', it seems that should be fonts.loadFont() now.
Comment 3 Bear Travis 2014-07-31 14:04:04 PDT
Created attachment 235841 [details]
Updated patch

Updating http test and merging with the changes from bug 135420.
Comment 4 WebKit Commit Bot 2014-07-31 14:38:46 PDT
Comment on attachment 235841 [details]
Updated patch

Clearing flags on attachment: 235841

Committed r171886: <http://trac.webkit.org/changeset/171886>
Comment 5 WebKit Commit Bot 2014-07-31 14:38:48 PDT
All reviewed patches have been landed.  Closing bug.